tos-mviz(1)

NAME

tos-mviz - Launch MViz, the TinyOS network visualizer

SYNOPSIS

tos-mviz [-comm serial-source] mig-class [mig-class]...

DESCRIPTION

tos-mviz launches MViz, the TinyOS network visualizer. MViz is a replacement for the Surge application of earlier TinyOS versions. MViz reads packets from a packet source and displays their data in a GUI. MViz takes the class names of mig-generated Java classes as parameters; it parses these packets and displays their fields. For MViz to be able to understand a mig packet, it must have an origin field which denotes which node the data is from. Please see TinyOS tutorial 12: MViz, for more detail.